sfcode An Online Competing and Development Environment

Array Flatten

> Flatten nested arrays.

# Installation

npm install array-flatten --save

# Usage

var flatten = require('array-flatten')
flatten([1, [2, [3, [4, [5], 6], 7], 8], 9])
//=> [1, 2, 3, 4, 5, 6, 7, 8, 9]
flatten.depth([1, [2, [3, [4, [5], 6], 7], 8], 9], 2)
//=> [1, 2, 3, [4, [5], 6], 7, 8, 9]
(function () {
flatten.from(arguments) //=> [1, 2, 3]
})(1, [2, 3])

## Methods

- flatten(array) Flatten a nested array structure
- flatten.from(arrayish) Flatten an array-like structure (E.g. arguments)
- flatten.depth(array, depth) Flatten a nested array structure with a specific depth
- flatten.fromDepth(arrayish, depth) Flatten an array-like structure with a specific depth

# License

MIT